Functions
Functions
BLE Services » User Data Service (UDS)
Collaboration diagram for Functions:

## Functions
sdk_err_t | uds_service_init (uds_init_t *p_uds_init)
| Initialize a User Data Service instance and add in the DB. More...
sdk_err_t | uds_regi_user_val_send (uint8_t conn_idx)
| Send Registered User Characteristic value. More...
sdk_err_t | uds_db_change_incr_val_send (uint8_t conn_idx, uint8_t user_idx)
| Send Database Change Increment Characteristic value if UDS Characteristics value has been changed. More...
sdk_err_t | uds_ctrl_pt_rsp_send (uint8_t conn_idx, uint8_t *p_data, uint16_t length)
| Send User Control Point response if it's indication has been enabled. More...
uint8_t | uds_get_cur_user_index (uint8_t conn_idx)
| Get current user index. More...
void | uds_set_cur_user_index (uint8_t conn_idx, uint8_t user_index)
| Set current user index. More...

## Detailed Description

## Function Documentation

## ◆ uds_ctrl_pt_rsp_send()

sdk_err_t uds_ctrl_pt_rsp_send | ( | uint8_t | conn_idx,
|  | uint8_t * | p_data,
|  | uint16_t | length
| ) |  |

Send User Control Point response if it's indication has been enabled.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | p_data | Pointer to data.
  [in] | length | Length of data.

Returns
  Result of indicate value.

## ◆ uds_db_change_incr_val_send()

sdk_err_t uds_db_change_incr_val_send | ( | uint8_t | conn_idx,
|  | uint8_t | user_idx
| ) |  |

Send Database Change Increment Characteristic value if UDS Characteristics value has been changed.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | user_idx | Current user index.

Returns
  Result of sending Database Change Increment Characteristic value.

## ◆ uds_get_cur_user_index()

uint8_t uds_get_cur_user_index | ( | uint8_t | conn_idx | ) |

Get current user index.

Parameters

  [in] | conn_idx | Connnection index.

Returns
  Result of current user index.

## ◆ uds_regi_user_val_send()

sdk_err_t uds_regi_user_val_send | ( | uint8_t | conn_idx | ) |

Send Registered User Characteristic value.

Parameters

  [in] | conn_idx | Connnection index.

Returns
  Result of sending Registered User Characteristic value.

## ◆ uds_service_init()

sdk_err_t uds_service_init | ( | uds_init_t * | p_uds_init | ) |

Initialize a User Data Service instance and add in the DB.

Parameters

  [in] | p_uds_init | Pointer to UDS Service initialization variable.

Returns
  Result of service initialization.

## ◆ uds_set_cur_user_index()

void uds_set_cur_user_index | ( | uint8_t | conn_idx,
|  | uint8_t | user_index
| ) |  |

Set current user index.

Parameters

  [in] | conn_idx | Connnection index.
  [in] | user_index | current user index.